VST 3 Examples: EventListCheck Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
EventListCheck Class Reference

`#include <eventlistcheck.h>`

## Public Types
using | Notes = std::set< Steinberg::int32 >

## Public Member Functions
| EventListCheck ()
void | check (Steinberg::Vst::IEventList *events)
void | setComponent (Steinberg::Vst::IComponent *component)
void | setProcessSetup (Steinberg::Vst::ProcessSetup setup)
void | setEventLogger (EventLogger *eventLogger)

## Static Public Attributes
static const Steinberg::int32 | kMaxEvents = 2048

## Protected Member Functions
bool | checkEventCount (Steinberg::Vst::IEventList *events)
void | checkEventProperties (const Steinberg::Vst::Event &event)
bool | checkEventBusIndex (Steinberg::int32 busIndex)
bool | checkEventSampleOffset (Steinberg::int32 sampleOffset)
bool | checkEventChannelIndex (Steinberg::int32 busIndex, Steinberg::int32 channelIndex)
bool | checkValidPitch (Steinberg::int16 pitch)
bool | isNormalized (float normVal) const
void | checkNoteExpressionValueEvent (Steinberg::Vst::NoteExpressionTypeID type, Steinberg::int32 id, Steinberg::Vst::NoteExpressionValue exprVal) const

## Protected Attributes
EventLogger * | mEventLogger
Steinberg::Vst::IComponent * | mComponent
Steinberg::Vst::ProcessSetup | mSetup
Notes | mNotePitches
Notes | mNoteIDs

## Member Typedef Documentation

using Notes = std::set<Steinberg::int32>

## Constructor & Destructor Documentation

EventListCheck | ( |  | ) |

## Member Function Documentation

void check | ( | Steinberg::Vst::IEventList * | events | ) |

void setComponent | ( | Steinberg::Vst::IComponent * | component | ) |
| inline

void setProcessSetup | ( | Steinberg::Vst::ProcessSetup | setup | ) |

void setEventLogger | ( | EventLogger * | eventLogger | ) |

bool checkEventCount | ( | Steinberg::Vst::IEventList * | events | ) |
| protected

void checkEventProperties | ( | const Steinberg::Vst::Event & | event | ) |
| protected

bool checkEventBusIndex | ( | Steinberg::int32 | busIndex | ) |
| protected

bool checkEventSampleOffset | ( | Steinberg::int32 | sampleOffset | ) |
| protected

bool checkEventChannelIndex | ( | Steinberg::int32 | busIndex,
|  | Steinberg::int32 | channelIndex
| ) |  |
| protected

bool checkValidPitch | ( | Steinberg::int16 | pitch | ) |
| protected

bool isNormalized | ( | float | normVal | ) | const
| protected

void checkNoteExpressionValueEvent | ( | Steinberg::Vst::NoteExpressionTypeID | type,
|  | Steinberg::int32 | id,
|  | Steinberg::Vst::NoteExpressionValue | exprVal
| ) |  | const
| protected

## Member Data Documentation

const Steinberg::int32 kMaxEvents = 2048
| static

EventLogger* mEventLogger
| protected

Steinberg::Vst::IComponent* mComponent
| protected

Steinberg::Vst::ProcessSetup mSetup
| protected

Notes mNotePitches
| protected

Notes mNoteIDs
| protected

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.